//
//	Includes
//
#include	"MCF52233.h"
#include	"ProtoType.h"

//
//	Prototypes
//
void SetAdrs(UINT32 adrs);
void WriteByte(UINT32 data);
void WriteInt(UINT32 data);
void WriteLong(UINT32 data);

//
//	Constants
//

//
//	Vars
//

void	*Adrs;			// Picture size

//
//	Set address
//
void SetAdrs(UINT32 adrs)
{
	Adrs = (void*)adrs;	// Save access address
}

//
//	8bit write
//
void WriteByte(UINT32 data)
{
	*(UINT8*)Adrs = (UINT8)data;
}

//
//	16bit write
//
void WriteInt(UINT32 data)
{
	*(UINT16*)Adrs = (UINT16)data;
}

//
//	32bit write
//
void WriteLong(UINT32 data)
{
	*(UINT32*)Adrs = data;
}
